> ## Documentation Index
> Fetch the complete documentation index at: https://docsy3.mile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Report

> A report is a saved table definition over tasks of one flow or records of one data type: which fields to show, which hubs to include, and the default filters

## What is Report?

A report is a saved table definition over tasks of one flow or records of one data type: which fields to show, which hubs to include, and the default filters.

## Key Features

> [card] [Read reports](https://docsy3.mile.app/api-reference/analytics/report/read-reports.md)
>
> GET /reports

> [card] [Create report](https://docsy3.mile.app/api-reference/analytics/report/create-report.md)
>
> POST /report

> [card] [Read report by ID](https://docsy3.mile.app/api-reference/analytics/report/read-report-by-id.md)
>
> GET /report/{id}

> [card] [Update report](https://docsy3.mile.app/api-reference/analytics/report/update-report.md)
>
> PATCH /report/{id}

> [card] [Delete report](https://docsy3.mile.app/api-reference/analytics/report/delete-report.md)
>
> DELETE /report/{id}


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.